Downtime
Fetch Payment Downtime Details With ID
Fetch Payment Downtime Details With id using Razorpay Payments Downtime API.
GET
Available in🇮🇳 India🇺🇸 United States
Use this endpoint to fetch downtime status if you have not received any webhook notifications due to technical issues. Usually, downtime webhook payloads are delivered within few seconds of the event. However, in some cases, this can be delayed by few minutes due to various reasons.
Path Parameters
string
required
Unique identifier of the downtime.
Response Parameters
string
Unique identifier of the downtime’s occurrence.
string
Here, it will be
payment.downtime.string
The payment method that is experiencing the downtime. Possible values include:
cardnetbankingupi
integer
Timestamp (in Unix) that indicates the start of the downtime. Applicable for both scheduled and unscheduled downtimes.
integer
Timestamp (in Unix) that indicates the end of the downtime.
Available only for scheduled downtimes, where the end-time is known. Set to
Available only for scheduled downtimes, where the end-time is known. Set to
null when the end-time is unknown, possibly during unscheduled downtimes.string
Status of the downtime.
Possible statuses are.
Possible statuses are.
scheduled: A downtime is scheduled to happen at a later time.started: The downtime has started and is ongoing.resolved: The downtime is resolved.updated: An ongoing downtime that has been updated after its start. For example, when the severity of the downtime changes from medium to high.
boolean
Possible values:
true: This is a scheduled downtime by the issuer, network, or the bank, which was informed to Razorpay.false: This is an unscheduled downtime.
string
Severity of the downtime.
Possible values:
Possible values:
high: Possible when all the payment methods are affected by downtime. Observed when the issuer, bank or network is down.medium: Possible when a higher number of declines in transactions or low success rates are observed with the payment methods.low: Possible when the reason for the downtime is unknown. Impact on payment methods is minimal.
string
Payment method that is underperforming.
string
Bank code of the affected bank. Possible values:
HDFCICICSBINKKBKUTIBPUNB
string
Card network. Possible values:
AMEXDICLMCRUPAYVISAALL
string
The 4-character issuer code unique to each issuing bank in India. Possible values:
SBINHDFCICICUTIBCITIPUNBKKBKCNRBBKIDBARBJAKAUBIN
string
Code of the affected Payment Service Provider (PSP). This is populated only when VPA handles associated with the PSP are down. If a PSP is associated with multiple VPA handles, it is marked down only when all the handles associated with it are down. For example,
google_pay is marked down only when all Google Pay handles - oksbi, okhdfcbank, okicici and okaxis are down. Possible values for this parameter are:google_payphonepepaytmbhim
string
Affected VPA handle. For example,
@oksbi. To learn about the possible values, refer to the list of handles supported by NPCI. If the entire UPI system is experiencing a downtime, the value ALL is displayed.string
The card type used to process the payment. Possible values:
creditdebit
string
Indicates the UPI payments flow being used during the downtime event. Possible values:
collectintentin_appOnly applicable for Turbo UPI payments.
integer
Timestamp (in Unix) that indicates the time at which the downtime was recorded in Razorpay servers.
integer
Timestamp (in Unix) that indicates the time at which the downtime record was updated in Razorpay servers.
Know more about the possible values.
Know more about the possible values.
Errors
The API {key/secret} provided is invalid.
The API {key/secret} provided is invalid.
Code:
4xxThe API credentials passed in the API call differ from the ones generated on the Dashboard.Solution: The API keys must be active and entered correctly with no whitespace before or after.The id provided does not exist.
The id provided does not exist.
Code:
400The downtime id passed in the URL is invalid or does not exist.Solution: Pass a valid downtime id (prefixed down_). Use GET /v1/payments/downtimes to list current downtime ids.